Skip to main content
PUT
/
v1
/
libraries
/
{libraryId}
Update Library
curl --request PUT \
  --url https://localtest.mindbridge.ai/api/v1/libraries/{libraryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "warningsDismissed": true,
  "analysisTypeIds": [
    {}
  ],
  "controlPointSelectionPermission": true,
  "controlPointWeightPermission": true,
  "controlPointSettingsPermission": true,
  "riskScoreAndGroupsSelectionPermission": true,
  "riskScoreDisplay": "HIGH_MEDIUM_LOW",
  "archived": true,
  "defaultDelimiter": "<string>",
  "riskRangeEditPermission": true
}
'
{
  "version": 123,
  "name": "<string>",
  "basedOnLibraryId": {},
  "originalSystemLibraryId": {},
  "warningsDismissed": true,
  "accountGroupingId": {},
  "analysisTypeIds": [
    {}
  ],
  "controlPointSelectionPermission": true,
  "controlPointWeightPermission": true,
  "controlPointSettingsPermission": true,
  "riskScoreAndGroupsSelectionPermission": true,
  "riskScoreDisplay": "HIGH_MEDIUM_LOW",
  "archived": true,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "conversionWarnings": [
    {
      "problemType": "UNKNOWN",
      "severity": "WARNING",
      "entityType": "<string>",
      "entityId": {},
      "identifier": "<string>",
      "values": [
        "<string>"
      ],
      "reason": "<string>",
      "suggestedValues": [
        "<string>"
      ],
      "problemCount": 123
    }
  ],
  "defaultDelimiter": "<string>",
  "riskRangeEditPermission": true,
  "system": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The current name of the library.

Required string length: 1 - 80
Pattern: \s*\S+.*
warningsDismissed
boolean
required

When set to true, any conversion warnings for this library will not be displayed in the Libraries tab in the UI.

analysisTypeIds
object[]
required

Identifies the analysis types used in the library.

controlPointSelectionPermission
boolean
required

When set to true, control points can be added or removed within each risk score.

controlPointWeightPermission
boolean
required

When set to true, the weight of each control point can be adjusted within each risk score.

controlPointSettingsPermission
boolean
required

When set to true, individual control point settings can be adjusted within each risk score.

riskScoreAndGroupsSelectionPermission
boolean
required

When set to true, risk scores and groups can be disabled, and accounts associated with risk scores can be edited.

riskScoreDisplay
enum<string>
required

Determines whether risk scores will be presented as percentages (%), or using High, Medium, and Low label indicators.

Available options:
HIGH_MEDIUM_LOW,
PERCENTAGE
archived
boolean
required

Indicates whether or not the library is archived. Archived libraries cannot be selected when creating an engagement.

defaultDelimiter
string

Identifies the default delimiter used in imported CSV files.

riskRangeEditPermission
boolean

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The current name of the library.

Required string length: 1 - 80
Pattern: \s*\S+.*
basedOnLibraryId
object
required

Identifies the library that the new library is based on. This may be a user-created library or a MindBridge system library.

originalSystemLibraryId
object
required

Identifies the original MindBridge-supplied library.

warningsDismissed
boolean
required

When set to true, any conversion warnings for this library will not be displayed in the Libraries tab in the UI.

accountGroupingId
object
required

Identifies the account grouping used.

analysisTypeIds
object[]
required

Identifies the analysis types used in the library.

controlPointSelectionPermission
boolean
required

When set to true, control points can be added or removed within each risk score.

controlPointWeightPermission
boolean
required

When set to true, the weight of each control point can be adjusted within each risk score.

controlPointSettingsPermission
boolean
required

When set to true, individual control point settings can be adjusted within each risk score.

riskScoreAndGroupsSelectionPermission
boolean
required

When set to true, risk scores and groups can be disabled, and accounts associated with risk scores can be edited.

riskScoreDisplay
enum<string>
required

Determines whether risk scores will be presented as percentages (%), or using High, Medium, and Low label indicators.

Available options:
HIGH_MEDIUM_LOW,
PERCENTAGE
archived
boolean
required

Indicates whether or not the library is archived. Archived libraries cannot be selected when creating an engagement.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

conversionWarnings
object[]

A list of accounts that failed to convert the selected base library’s setting to the selected account grouping.

defaultDelimiter
string

Identifies the default delimiter used in imported CSV files.

riskRangeEditPermission
boolean
system
boolean

Indicates whether or not the library is a MindBridge system library.